# class RubyProf::FlatPrinter

Generates flat profile reports as text. To use the flat printer:

    result = RubyProf.profile do
      [code to profile]
    end

    printer = RubyProf::FlatPrinter.new(result)
    printer.print(STDOUT, {})

### Public Instance Methods

sort_method() click to toggle source

Override for this printer to sort by self time by default

    # File lib/ruby-prof/printers/flat_printer.rb, line 15
    def sort_method
      @options[:sort_method] || :self_time
    end